package com.ruoyi.xq.job;

import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

@Component
@Slf4j
public class ForbidJob {

    /*@Autowired
    private UserForbidManager userForbidManager;
    @Autowired
    private SysPushService sysPushService;

    *//**
     * 每12小时执行一次
     *//*
    @Scheduled(cron = "0 0 11,23 * * ? ")
    public void checkForbid(){
        try {
            userForbidManager.checkAll();
        }catch (Exception e){
            log.error("黑名单失效检测失败！",e);
        }
        try {
            sysPushService.checkAll();
        }catch (Exception e){
            log.error("系统推送定时任务检测失败！",e);
        }
    }*/

}
